Skip to main content
POST
/
api
/
address
/
validate
Validate an address
curl --request POST \
  --url https://app.demand-iq.com/api/address/validate \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "address": "123 Main St",
  "city": "Phoenix",
  "country": "US",
  "state": "AZ",
  "zip": "85001"
}
'
{
  "valid": true,
  "formattedAddress": "<string>",
  "coordinates": {
    "lat": 123,
    "lng": 123
  },
  "normalized": {},
  "error": "<string>"
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Body

application/json
address
string
required
Example:

"123 Main St"

city
string
required
Example:

"Phoenix"

country
string
required

ISO 3166-1 alpha-2 country code

Required string length: 2
Example:

"US"

state
string
Example:

"AZ"

zip
string
Example:

"85001"

Response

Validation result

valid
boolean
formattedAddress
string
coordinates
object
normalized
object
error
string